#!/bin/bash

#updates by WIPAT 2555-04-24

if [ -z "$(id -nG|grep -w "root")" ] ; then
  echo "need root, or try: sudo sh $0"
  exit
fi

sudo apt-get update
sudo apt-get -y install apache2 php5 expect 
sudo apt-get -y install mkpasswd
sudo apt-get -y install whois

MY_DIR=$(pwd)
SRC_DIR="${MY_DIR}/trunk/"
DST_DIR="/"

find ${SRC_DIR} -type d| while read LINE ; do
  TARGET=$(echo ${LINE}|sed "s;${SRC_DIR};${DST_DIR};")
  if [ ! -d "${TARGET}" ] ; then
    mkdir ${TARGET}
  fi
done
find ${SRC_DIR} -type f| while read LINE ; do
  TARGET=$(echo ${LINE}|sed "s;${SRC_DIR};${DST_DIR};")
  if [ -e "${TARGET}" ] ; then
    if [ -z "$(diff -q ${LINE} ${TARGET})" ] ; then
      continue
    fi 
    INFO=$(ls -clQ --time-style=long-iso ${TARGET})
    CTIME=$(echo ${INFO}|awk '{ print $6"-"$7 }')
    NAME=$(echo "${TARGET}_${CTIME}")
    cp -v ${TARGET} ${NAME}
  fi
  cp -v ${LINE} ${TARGET}
done
sudo cp -f ${MY_DIR}/version.txt /root/mama
sudo groupadd sftponly 
sudo mkdir -p /sftp 
sudo mkdir -p /sftp/home
sudo mkdir -p /sftp/share 
sudo chmod +t /sftp/share 
sudo groupadd member
sudo mkdir -p /sftp/share/gmember 
sudo chgrp -Rv member /sftp/share/gmember
sudo chmod  g+rws,o-rwx /sftp/share/gmember 
sudo chmod +x /var/www/myservice/check-shadow.sh 
sudo chmod +x /var/www/myservice/change-passwd.exp 
MYSUDO="www-data ALL= NOPASSWD: /var/www/myservice/check-shadow.sh, /var/www/myservice/change-passwd.exp"
MYFILE="/etc/sudoers"
if [ -z "$(grep "${MYSUDO}" ${MYFILE})" ] ; then
  echo "${MYSUDO}" >> ${MYFILE}
fi 
sudo /etc/init.d/ssh reload 
sudo /etc/init.d/apache2 restart
