#!/bin/bash

# updated by WIBOON 2555-12-6
# for radius username i.e. PSU-radius authen with PSU-Passport username

if [ -z "$(id -nG|grep -w "root")" ] ; then
  echo "need root, or try: sudo sh $0"
  exit
fi
if [ -z "$1" ] ; then
  echo "need username"
  exit 
fi
MYUSER=$1
HOME_DIR="/sftp/home"
sudo useradd -m -b ${HOME_DIR} -s /bin/bash ${MYUSER}
sudo chmod -R o-rwx ${HOME_DIR}/${MYUSER}
sudo gpasswd -a ${MYUSER} member
sudo gpasswd -a ${MYUSER} sftponly
